package org.jenkinsci.plugins.p4_client.workspace;

import hudson.Extension;

import org.kohsuke.stapler.DataBoundConstructor;

public class SingletonWorkspaceImpl extends Workspace {

	private final String name;

	public String getName() {
		return name;
	}

	@Override
	public WorkspaceType getType() {
		return WorkspaceType.SINGLETON;
	}
	
	@DataBoundConstructor
	public SingletonWorkspaceImpl(String name) {
		this.name = name;
	}

	@Extension
	public static final class DescriptorImpl extends WorkspaceDescriptor {

		@Override
		public String getDisplayName() {
			return "Singleton (static view, master only)";
		}
	}
}
